---
title: "Historical contract: Orders available times"
description: "This API endpoint brings a number that is the average time of drivers available times taking into account the filters."
canonical: https://docs.ordering.co/api-reference/guides/history/orders-available-times/
---

# Historical contract: Orders available times

[]()

> **Historical API contract.** This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.

## Historical meaning

Orders available times

This API endpoint brings a number that is the average time of drivers available times taking into account the filters

## Current API

For new integrations, use the linked current API reference or guide.

[View the current API reference](https://docs.ordering.co/api-reference/#tag/reports/GET/reports/drivers_available_times)

## Parameters

```json
[
  {
    "name": "api_version",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "v400"
    },
    "required": true
  },
  {
    "name": "language",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "en"
    },
    "required": true
  },
  {
    "name": "project",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "<redacted-personal>"
    },
    "required": true
  },
  {
    "name": "lapse",
    "in": "query",
    "schema": {
      "type": "string"
    }
  },
  {
    "name": "drivers",
    "in": "query",
    "schema": {
      "type": "string"
    }
  },
  {
    "name": "timezone",
    "in": "query",
    "schema": {
      "type": "string"
    }
  }
]
```

## Request body

```json
null
```

## Responses

```json
{
  "200": {
    "description": "200",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": false,\n  \"result\": {\n    \"available\": [],\n    \"not_available\": []\n  }\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": false,
              "default": true
            },
            "result": {
              "type": "object",
              "properties": {
                "available": {
                  "type": "array"
                },
                "not_available": {
                  "type": "array"
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "400",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {}
        }
      }
    }
  }
}
```
